## org.eclipse.datatools.connectivity.ui
Class RefreshProfileJob

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.ui.progress.UIJob
                      org.eclipse.datatools.connectivity.ui.RefreshProfileJob

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

    public class RefreshProfileJob

extends org.eclipse.ui.progress.UIJob

This class can be used by UI components to refresh a connection profile within a TreeViewer. This job synchronizes with other profile jobs and ensures that refresh(profile) is invoked only once per tree viewer per connection profile.

Author:
  rcernich Created on May 24, 2005

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Method Summary
`boolean` `belongsTo(java.lang.Object family)`
`org.eclipse.core.runtime.IStatus` `runInUIThread(org.eclipse.core.runtime.IProgressMonitor monitor)`
`static void` `scheduleRefreshProfileJob(IConnectionProfile profile, org.eclipse.jface.viewers.TreeViewer viewer)`

Methods inherited from class org.eclipse.ui.progress.UIJob
`errorStatus, getDisplay, run, setDisplay`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, wakeUp, wakeUp`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo, toString`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### scheduleRefreshProfileJob

    public static void scheduleRefreshProfileJob(IConnectionProfile profile,
                                                 org.eclipse.jface.viewers.TreeViewer viewer)

  Parameters:
    `profile` - the connection profile to refresh
    `viewer` - the viewer containing the profile

### runInUIThread

    public org.eclipse.core.runtime.IStatus runInUIThread(org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `runInUIThread` in class `org.eclipse.ui.progress.UIJob`

### belongsTo

    public boolean belongsTo(java.lang.Object family)

  Overrides:
    `belongsTo` in class `org.eclipse.core.runtime.jobs.Job`